%
%   Cross power spectral density (CPSD) between two channels
%
%   BENESCO Lecture series on signal analysis
%   Mojtaba Bandarabadi
%   Inselspital, Bern, 18 November 2016
%   for any question send email to: m.bandarabadi@gmail.com
%


%% clean up
clear; close all; clc


%% Cross power spectral density (CPSD)
%  Here is an example from MATLAB help files

h1 = ones(1,10)/sqrt(10);
h2 = fir1(30,0.2,rectwin(31));
r = randn(16384,1);
x = filter(h1,1,r);
y = filter(h2,1,x);

figure('Color',[1 1 1]);
subplot(311); pwelch(x,500,250,1024); ylim([-60 10])
subplot(312); pwelch(y,500,250,1024); ylim([-60 10])
subplot(313); cpsd(x,y,500,250,1024); ylim([-60 10])
