%
%   Windowing
%
%   BENESCO Lecture series on signal analysis
%   Mojtaba Bandarabadi
%   Inselspital, Bern, 18 November 2016
%   for any question send email to: m.bandarabadi@gmail.com
%


%% clean up!
clear; close all; clc


%%
winLen = 2000; % length of window in sample

rectWin = window(@rectwin,winLen); % Rectangular window
hannWin = window(@hann,winLen); % Hanning window
hammWin = window(@hamming,winLen); % Hamming window
kaiserWin = window(@kaiser,winLen,1.5); % Kaiser window
flattopWin = window(@flattopwin,winLen); % Flat top window

figure; hold on
plot(rectWin,'LineWidth',1.5);
plot(hannWin,'LineWidth',1.5);
plot(hammWin,'LineWidth',1.5);
plot(kaiserWin,'LineWidth',1.5);
plot(flattopWin,'LineWidth',1.5);
hold off

legend('Rectangular','Hanning','Hamming','Kaiser','Flat top');
legend boxoff

xlabel('samples')
ylabel('amplitude')
set(gca,'fontsize',16); box off

